U++ - Bug #1247

Standard GTK button images has gone (KDE - oxygengtk)
08/23/2015 10:13 PM - Zbigniew Rebacz

Status: Approved Start date: 08/23/2015
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: UHD Estimated time: 0.00 hour
Target version: Release 2015.2 Spent time: 0.00 hour
Description

"OK" and "Cancel" buttons doesn’t have icon for some reason on gtk.

Tested with Kubuntu 14.04 - theme oxygengtk.

Related issues:
Related to Bug # 1240: Oxygen gtk prints several critical bugs Rejected

08/22/2015

History

#1 - 08/23/2015 10:32 PM - Zbigniew Rebacz
- Status changed from New to Patch ready
- Assignee set to Miroslav Fidler

It seems you have changed values a little bit. Here is solution for this bug (CtrlLib/ChGtk.cpp - line 210):

s.ok = Gtkimage("gtk-ok", DPI(4), DPI(16));

s.cancel = Gtkimage("gtk-cancel", DPI(4), DPI(16));
s.exit = Gtklmage("gtk-quit", DPI(4), DPI(16));

s.ok = Gtklmage("gtk-ok", DPI, DPI); instead of s.ok = Gtkimage("gtk-ok", DPI, DPI);

#2 - 08/28/2015 10:43 AM - Miroslav Fidler

- Category changed from CtriLib to UHD

#3 - 09/06/2015 08:06 AM - Miroslav Fidler
- Status changed from Patch ready to Approved
